#### D.5.16.7 abstractR

Procedure from library `reszeta.lib` (see reszeta_lib).

Usage:
  abstractR(L);
  L = list of rings

Assume:
  L is output of resolution of singularities

Note:
  currently only implemented for isolated surface singularities

Return:
  list l
  l[1]: intvec, where
  l[1][i]=1 if the corresponding ring is a final chart
  of non-embedded resolution
  l[1][i]=0 otherwise
  l[2]: intvec, where
  l[2][i]=1 if the corresponding ring does not occur
  in the non-embedded resolution
  l[2][i]=0 otherwise
  l[3]: list L

Example:

    LIB "reszeta.lib";
    ring r = 0,(x,y,z),dp;
    ideal I=x2+y2+z11;
    list L=resolve(I);
    list absR=abstractR(L);
    absR[1];
    ==> 0,0,1,1,0,1,0,1,0,1,1,0,0,0,0,0,0
    absR[2];
    ==> 0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.